import request from '@/utils/request';

// 处理学生突发事件 查询列表
export function listkpiFillingStuEmergency(query) {
  return request({
    url: '/teacher/kpiFillingStuEmergency/getByFdyNameAndYearAndMonth',
    method: 'get',
    params: query
  })
}
//个人填报-处理学生突发事件  新增
export function kpiFillingStuEmergencyAdd(data) {
  return request({
    url: '/teacher/kpiFillingStuEmergency/add',
    method: 'post',
    data: data
  })
}
//个人填报-处理学生突发事件  修改
export function kpiFillingStuEmergencyUpdate(data) {
  return request({
    url: '/teacher/kpiFillingStuEmergency/update',
    method: 'post',
    data: data
  })
}
//个人填报-处理学生突发事件   详情
export function kpiFillingStuEmergencyDetail(id) {
  return request({
    url: '/teacher/kpiFillingStuEmergency/'+id,
    method: 'get'
  })
}

//个人填报-处理学生突发事件   删除
export function delkpiFillingStuEmergency(id) {
  return request({
    url: '/teacher/kpiFillingStuEmergency/'+id,
    method: 'post'
  })
}
